Package org.codehaus.groovy.tools.groovydoc

# Class LinkArgument

java.lang.Object
org.codehaus.groovy.tools.groovydoc.LinkArgument

public class LinkArgument extends Object
Represents a link pair (href, packages). The packages are comma separated.

## Constructor Summary

Constructors
Constructor
Description
`LinkArgument()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHref()`
Get the href attribute.
`String`
`getPackages()`
Get the packages attribute.
`void`
`setHref(String hr)`
Set the href attribute.
`void`
`setPackages(String packages)`
Set the packages attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkArgument

public LinkArgument()

## Method Details

### getPackages

public String getPackages()
Get the packages attribute.

Returns:
  the packages attribute.

### setPackages

public void setPackages(String packages)
Set the packages attribute.

Parameters:
  `packages` - the comma separated package prefixes corresponding to this link

### getHref

public String getHref()
Get the href attribute.

Returns:
  the href attribute.

### setHref

public void setHref(String hr)
Set the href attribute.

Parameters:
  `hr` - a `String` value representing the URL to use for this link